angular.module('rcp-app', [
    'ionic',
    'rcp-api-adapter',
    'rcp-register',
    'rcp-terms',
    'rcp-login',
    'rcp-forgotten-pin',
    'rcp-tabs',
    'rcp-dashboard',
    'rcp-payment-details',
    'rcp-payment-process',
    'rcp-info',
    'rcp-map',
    'rcp-map-marker-service',
    'rcp-loading-indicator-service',
    'rcp-current-parked-service',
    'rcp-vehicle-list',
    'rcp-pay-parking',
    'rcp-pay-parking-options',
    'rcp-contact-settings',
    'rcp-security',
    'focus-directive',
])

.config(function($stateProvider, $urlRouterProvider) {
    $urlRouterProvider.otherwise('/login');
})

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if(window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
        }
        
        if(window.StatusBar) {
            StatusBar.styleDefault();
        }

        if(window.Connection) {
            if(navigator.connection.type == Connection.NONE) {
                $ionicPopup.confirm({
                    title: "Internet Disconnected",
                    content: "The internet is disconnected on your device."
                })
                .then(function(result) {
                    if(!result) {
                        ionic.Platform.exitApp();
                    }
                });
            }
        }

		/*
        if(window.StatusBar) {
            StatusBar.hide();  
            StatusBar.overlaysWebView(true);
        }

        ionic.Platform.fullScreen(true, false);
		*/
    });
});
