angular.module( 'rcp-forgotten-pin', ['ionic', 'rcp-loading-indicator-service', 'rcp-api-adapter'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('forgotten-pin', {
        url: '/forgotten-pin',
        controller: 'ForgottenCtrl',
        templateUrl: 'app/components/forgotten_pin/forgotten_pin.html',
    });
})

.controller('ForgottenCtrl', function(api, $scope, $state, $ionicHistory, $ionicPopup, $ionicLoading, loadingIndicator) {
    $scope.resetPass = function(user) {
        loadingIndicator.showLoadingScreen($scope, 'Resetting your password...');

        var reset = api.resetPassword(user);

        reset.then(function(response) {
            $ionicLoading.hide();
            $scope.showAlert('Complete', 'Please check for your confirmation email', function() {
                $ionicHistory.goBack(); 
            }); 
        }, function(reason) {
            $ionicLoading.hide();
            $scope.showAlert('Error', reason.errors); 
        });

        $scope.showAlert = function(title, message, callback) {
            var alertPopup = $ionicPopup.alert({
                title: title,
                template: message 
            });

            alertPopup.then(function(res) {
                if (callback) {
                    callback(res);
                }
            });
        };
    };
});
