angular.module( 'rcp-login', ['ionic', 'rcp-api-adapter', 'rcp-loading-indicator-service'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('login', {
        url: '/login',
        controller: 'LoginCtrl',
        templateUrl: 'app/components/login/login.html',
    });
})

.controller('LoginCtrl', function(api, $scope, $state, $http, $ionicPopup, $ionicLoading, loadingIndicator) {
    if (api.getToken() && api.getUserId()) {
        $state.go('tabs.dashboard');
    }

    $scope.signIn = function(user) {
        loadingIndicator.showLoadingScreen($scope, 'Logging you in...');

        var login = api.login(user);
        
        login.then(function(response) {
            api.saveToken(response.data.token);
            api.saveUserId(response.data.user_id);
            api.isHalting = false;
            $ionicLoading.hide();
            $state.go('tabs.dashboard');
        }, function(reason) {
            $ionicLoading.hide();
            $scope.showLoginAlert(reason.error); 
        });
    };

    $scope.showLoginAlert = function(message) {
        var alertPopup = $ionicPopup.alert({
            title: 'Incorrect Details',
            template: message 
        });
    };
});
