angular.module( 'rcp-payment-details', ['ionic', 'rcp-loading-indicator-service', 'rcp-api-adapter'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('tabs.payment-details', {
        url: '/payment-details',
        views: {
            'dash-tab@tabs': {
                controller: "PaymentDetailsCtrl",
                templateUrl: "app/components/payment-details/payment-details.html"
            }
        }
    });
})

.controller('PaymentDetailsCtrl', function(api, $scope, $state, $ionicPopup, $ionicLoading, loadingIndicator) {
    loadingIndicator.showLoadingScreen($scope, 'Finding your recent transactions...');

    $scope.$on('$ionicView.beforeEnter', function(){
        var transactions = api.getTransactions();
        transactions.then(function(response) {
            $scope.transactions = response.data;
            $ionicLoading.hide();
        }, function(reason) {
            $ionicLoading.hide();
            $scope.showAlert(reason.error); 
        });
    });
});
