angular.module( 'rcp-register', ['ionic', 'rcp-api-adapter'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('register', {
        url: '/register',
        controller: 'RegisterCtrl',
        templateUrl: 'app/components/register/register.html',
    });
})

.controller('RegisterCtrl', function(api, $ionicLoading, $ionicPopup, $scope, $state, $ionicHistory, loadingIndicator) {
    $scope.register = function(user) {
		loadingIndicator.showLoadingScreen($scope, 'Registering...');

        var register = api.register(user);
        register.then(function(response) {
            $ionicLoading.hide();
            $scope.showAlert('Registration Successful', 'Thank you for registering, please use these details to log in', function(res) {
                $ionicHistory.goBack();
            });
        }, function(reason) {
            $ionicLoading.hide();
            $scope.showAlert('Error', reason.errors, null);
        });
    };

    $scope.showAlert = function(title, message, callback) {
        var alertPopup = $ionicPopup.alert({
            title: title,
            template: message 
        });

        alertPopup.then(function(res) {
            if (callback) {
                callback(res);
            }
        });
    };

    $scope.viewTerms = function() {
        $state.go('terms'); 
    }
});
