angular.module( 'rcp-security', ['ionic', 'rcp-api-adapter', 'rcp-loading-indicator-service'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('tabs.security', {
        url: '/security',
        cache: false,
        views: {
            'dash-tab@tabs': {
                controller: "SecurityCtrl",
                templateUrl: "app/components/security/security.html"
            }
        }
    });
})

.controller('SecurityCtrl', function(api, loadingIndicator, $ionicLoading, $scope, $state, $ionicHistory, $ionicPopup) {
    $scope.save = function(user) {
        loadingIndicator.showLoadingScreen($scope, 'Saving...');

        var change = api.changePassword(user);
        
        change.then(function(response) {
            $ionicLoading.hide();
            $scope.showAlert('Changed password', 'Successfully changed your password', function(res) {
               $ionicHistory.goBack(); 
            });
        }, function(reason) {
            $ionicLoading.hide();
            $scope.showAlert('Error', reason.errors); 
        });
    };

    $scope.showAlert = function(title, message, callback) {
        var alertPopup = $ionicPopup.alert({
            title: title,
            template: message 
        });

        alertPopup.then(function(res) {
            if (callback) {
                callback(res);
            }
        });
    };
});
