angular.module( 'rcp-map-marker-service', ['ionic'])

.service('mapMarker', function() {
    this.addMarker = function(id, content, position, mapObject, isUserLoc, listener) {
        var parkingimage = null; 
        if (isUserLoc) {
            parkingimage = {
                url: 'assets/img/parking-user-icon.png',
            }
        } else {
            parkingimage = {
                url: 'assets/img/parking-icon.png',
            }
        }

        var $marker = new google.maps.Marker({
            position: position,
            map: mapObject,
            icon: parkingimage,
            id: id
        });

        //animation: google.maps.Animation.DROP

        var $infowindow = new google.maps.InfoWindow({
            content: content 
        });

        var $listener = google.maps.event.addListener($marker, 'click', function() {
            if (listener) {
                listener($marker.id);
            } else {
                $infowindow.open(mapObject, $marker);
            }
        });

		return { "marker": $marker, "infoWindow": $infowindow, "listener": $listener };
    };
});
